# Uses of Interface
org.eclipse.emf.cdo.eresource.CDOResource

Packages that use CDOResource
Package
Description
org.eclipse.emf.cdo
Client concepts like `CDOObject` and `CDOState`.
org.eclipse.emf.cdo.eresource
The generated EMF API of the CDO repository file system.
org.eclipse.emf.cdo.eresource.impl
The generated EMF implementation of the CDO repository file system.
org.eclipse.emf.cdo.eresource.util
The generated EMF utilities of the CDO repository file system.
org.eclipse.emf.cdo.security.ui
Concepts and default implementations for the CDO security user interface.
org.eclipse.emf.cdo.transaction
Client concepts for dealing with transactions, distributed transactions and their save points.
org.eclipse.emf.cdo.ui
Reusable UI components specific to the CDO Model Repository.
org.eclipse.emf.cdo.util
Client utility classes, some common interfaces and exceptions.
org.eclipse.emf.cdo.view
Client concepts for dealing with views, view sets, queries, CDO objects and EMF resource sets.
org.eclipse.emf.internal.cdo
Exposes `CDOObjectImpl` for extension in generated EMF models.
org.eclipse.emf.spi.cdo
Client service provider interfaces and useful base implementations.

## Uses of CDOResource in org.eclipse.emf.cdo

Methods in org.eclipse.emf.cdo that return CDOResource
Modifier and Type
Method
Description
`CDOResource`
CDOObject.`cdoDirectResource()`
Returns the directly containing `resource` of this object, or `null` if this object is not an element of the `contents` list of any CDO resource.
`CDOResource`
CDOObject.`cdoResource()`
Returns the `resource` of this object, no matter where this object is located in the containment tree of that resource, or `null` if this object is not contained in a CDO resource.

## Uses of CDOResource in org.eclipse.emf.cdo.eresource

Methods in org.eclipse.emf.cdo.eresource that return CDOResource
Modifier and Type
Method
Description
`CDOResource`
CDOResourceFolder.`addResource(String name)`
`CDOResource`
EresourceFactory.`createCDOResource()`
Returns a new object of class 'CDO Resource'.

## Uses of CDOResource in org.eclipse.emf.cdo.eresource.impl

Classes in org.eclipse.emf.cdo.eresource.impl that implement CDOResource
Modifier and Type
Class
Description
`class`
`CDOResourceImpl`
An implementation of the model object 'CDO Resource'.
Methods in org.eclipse.emf.cdo.eresource.impl that return CDOResource
Modifier and Type
Method
Description
`CDOResource`
CDOResourceFolderImpl.`addResource(String name)`
`CDOResource`
EresourceFactoryImpl.`createCDOResource()`

## Uses of CDOResource in org.eclipse.emf.cdo.eresource.util

Methods in org.eclipse.emf.cdo.eresource.util with parameters of type CDOResource
Modifier and Type
Method
Description
`T`
EresourceSwitch.`caseCDOResource(CDOResource object)`
Returns the result of interpreting the object as an instance of 'CDO Resource'.

## Uses of CDOResource in org.eclipse.emf.cdo.security.ui

Methods in org.eclipse.emf.cdo.security.ui that return CDOResource
Modifier and Type
Method
Description
`CDOResource`
ISecurityManagementContext.Default.`getSecurityResource(CDOView view)`
`CDOResource`
ISecurityManagementContext.`getSecurityResource(CDOView view)`
Obtains the resource containing the security model for presentation in the Security Management editor.

## Uses of CDOResource in org.eclipse.emf.cdo.transaction

Methods in org.eclipse.emf.cdo.transaction that return CDOResource
Modifier and Type
Method
Description
`CDOResource`
CDOPushTransaction.`createResource(String path)`
Deprecated.
`CDOResource`
CDOTransaction.`createResource(String path)`
`CDOResource`
CDOPushTransaction.`getOrCreateResource(String path)`
Deprecated.
`CDOResource`
CDOTransaction.`getOrCreateResource(String path)`
`CDOResource`
CDOPushTransaction.`getResource(String path)`
Deprecated.
`CDOResource`
CDOPushTransaction.`getResource(String path, boolean loadOnDemand)`
Deprecated.
`CDOResource`
CDOPushTransaction.`getRootResource()`
Deprecated.

## Uses of CDOResource in org.eclipse.emf.cdo.ui

Methods in org.eclipse.emf.cdo.ui with parameters of type CDOResource
Modifier and Type
Method
Description
`void`
CDOItemProvider.`fillResource(IMenuManager manager, CDOResource resource)`

## Uses of CDOResource in org.eclipse.emf.cdo.util

Methods in org.eclipse.emf.cdo.util with parameters of type CDOResource
Modifier and Type
Method
Description
`static Map<String,EObject>`
CDOUtil.`getIntrinsicIDToEObjectMap(CDOResource resource)`
Returns the map used to cache the EObject that is identified by the `value` of its ID feature.
`static void`
CDOUtil.`setIntrinsicIDToEObjectMap(CDOResource resource, Map<String,EObject> intrinsicIDToEObjectMap)`
Sets the map used to cache the EObject identified by the value of its ID feature.
Constructors in org.eclipse.emf.cdo.util with parameters of type CDOResource
Modifier
Constructor
Description
``
`CDOModificationTrackingAdapter(CDOResource resource)`

## Uses of CDOResource in org.eclipse.emf.cdo.view

Methods in org.eclipse.emf.cdo.view that return CDOResource
Modifier and Type
Method
Description
`CDOResource`
CDOView.`getResource(String path)`
Same as `getResource(String, true)`.
`CDOResource`
CDOView.`getResource(String path, boolean loadOnDemand)`
`CDOResource`
CDOView.`getRootResource()`
Returns the root resource of the repository.

## Uses of CDOResource in org.eclipse.emf.internal.cdo

Methods in org.eclipse.emf.internal.cdo that return CDOResource
Modifier and Type
Method
Description
`final CDOResource`
CDOObjectImpl.`cdoDirectResource()`
`final CDOResource`
CDOObjectImpl.`cdoResource()`
Methods in org.eclipse.emf.internal.cdo with parameters of type CDOResource
Modifier and Type
Method
Description
`final void`
CDOObjectImpl.`cdoInternalSetResource(CDOResource resource)`

## Uses of CDOResource in org.eclipse.emf.spi.cdo

Subinterfaces of CDOResource in org.eclipse.emf.spi.cdo
Modifier and Type
Interface
Description
`interface`
`InternalCDOResource`
Internal protocol for the `CDOResource`.
Methods in org.eclipse.emf.spi.cdo with parameters of type CDOResource
Modifier and Type
Method
Description
`void`
CDOStore.`setContainer(InternalEObject eObject, CDOResource newResource, InternalEObject newEContainer, int newContainerFeatureID)`